import request from "./request";

// 创建对话
export async function fetchTaskCreate(data) {
  return request(`/openapi-prd/ai/intelligent-tutoring/task/create`,{
    method:"POST",
    data,
  });
}

//获取分数

export async function fetchTaskScore(conversationId) {
  return request(`/openapi-prd/ai/intelligent-tutoring/task/score?conversationId=${conversationId}`,{
    method:"get",
  });
}

//查询任务结束状态

export async function fetchTaskStatus(conversationId) {
  return request(`/openapi-prd/ai/intelligent-tutoring/task/endFlag?conversationId=${conversationId}`,{
    method:"get",
  });
}

// 结束任务
export async function fetchTaskEnd(conversationId) {
  return request(`/openapi-prd/ai/intelligent-tutoring/task/end?conversationId=${conversationId}`,{
    method:"get",
  });
}

// 获取评分等级
export async function fetchScoreLevel(data) {
  return request(`/openapi-prd/ai/intelligent-tutoring/task/scoreLevel`,{
    method:"post",
    data
  });
}